#debuginfo not supported with Go
%global debug_package %{nil}

%global source_name v%{version}

%global commit baac3e86bffd9ee15ad22f8f6f5a4a70bab4090b
%global build_hash %(c=%{commit}; echo ${c:0:7})
%global spec_release 4

Name:           kubevirt-cdi
Version:        1.3.0
Release:        %{spec_release}.%{build_hash}
Summary:        %{name} - Containerized Data Importer

License:        ASL 2.0
URL:            https://github.com/kubevirt/containerized-data-importer
Source0:        containerized-data-importer-%{version}-%{release}.tar.gz
BuildRequires:  golang

%description
CNV distribution based of kubevirt's Containerized Data Importer

Source Release https://api.github.com/repos/kubevirt/containerized-data-importer/tarball/%{build_hash}

%package	manifests
Summary:        %{name} - manifests
BuildArch: noarch
%description manifests
CNV kubevirt Containerized Data Importer - manifests

%prep
%setup -c -q -n containerized-data-importer-%{commit}
mkdir -p src/kubevirt.io/
mv containerized-data-importer-%{commit} src/kubevirt.io/containerized-data-importer

%build
export GOPATH=$RPM_BUILD_DIR/containerized-data-importer-%{commit}
cd src/kubevirt.io/containerized-data-importer
# DOCKER_TAG refers to CNV release, not CDI version
make DOCKER=0 DOCKER_REPO=cnv-tech-preview DOCKER_TAG=v1.3.0 \
    CONTROLLER_IMAGE_NAME=virt-cdi-controller IMPORTER_IMAGE_NAME=virt-cdi-importer \
    CLONER_IMAGE_NAME=virt-cdi-cloner APISERVER_IMAGE_NAME=virt-cdi-apiserver \
    UPLOADPROXY_IMAGE_NAME=virt-cdi-uploadproxy UPLOADSERVER_IMAGE_NAME=virt-cdi-uploadserver \
    VERBOSITY=1 PULL_POLICY=IfNotPresent NAMESPACE=kube-system manifests

%install
cd src/kubevirt.io/containerized-data-importer
rm -rf  %{buildroot}
install -d -m 0755 %{buildroot}%{_datadir}/%{name}/manifests
install -d -m 0755 %{buildroot}/manifests %{buildroot}%{_datadir}/%{name}/
cp  manifests/generated/cdi-controller.yaml %{buildroot}%{_datadir}/%{name}/manifests/

%files manifests
%{_datadir}/%{name}/manifests/

%changelog
* Tue Nov  6 2018 - alitke <alitke@redhat.com>
- Fix docker version tag v1.3 -> v1.3.0

* Fri Nov  2 2018 - alitke <alitke@redhat.com>
- Update docker version tag 1.3 -> v1.3

* Fri Oct 19 2018 - alitke <alitke@redhat.com>
- Upstream release: v1.3.0
- Add new upstream sources for containerized-data-importer-1.3.0-1.baac3e8

* Tue Sep 25 2018 - alitke <alitke@redhat.com>
- Incorporate manifest generation fixes from upstream
- Add new upstream sources for containerized-data-importer-1.2.0-3.a27da32

* Mon Sep 24 2018 - alitke <alitke@redhat.com>
- Initial cnv-1.3 spec_release=1
- Upstream release: v1.2.0-alpha.2
- Add new upstream sources for containerized-data-importer-1.2.0-2.3096ece

* Tue Sep  4 2018 - alivigni <alivigni@redhat.com>
- Upstream release: v1.1.1-alpha.1
- Add new upstream sources for containerized-data-importer-1.1.1-5.e6093ee
- Increase spec_release # to 5 and build_hash to e6093ee
   
* Tue Aug 28 2018 Emil Natan <ena@redhat.com>
- Upstream release: v1.1.1
- Removed build for virt-cdi-importer and virt-cdi-controller

* Tue Jul 10 2018 - alivigni <alivigni@redhat.com>
- Upstream release: v1.0.0
- Add new upstream sources for containerized-data-importer-1.0.0-5.0066a96
- Increase spec_release # to 5 and build_hash to 0066a96
   
* Tue Jul 10 2018 Ari LiVigni <alivigni@redhat.com>
- Had to re-upload sources with correct name
- Directory with sources should be full commit and not build_hash
- Should not have kubevirt in front of the directory name

* Tue Jul 10 2018 Ari LiVigni <alivigni@redhat.com>
- Fixed date and versions based on the current state

* Tue Jul 10 2018 John Herr <joherr@redhat.com> 1.0.0-0
- Remove makefile patch for non-container build
- changed source file name for consistency

* Thu Jun 21 2018 Ryan Hallisey <rhallise@redhat.com> 0.5.0-3
- Reformat the spec file
- Add a Makefile

* Tue Jun 19 2018 John Herr <joherr@redhat.com> 0.5.0-2
- Commented out files and docs to prevent top level rpm from being built

* Fri Jun 15 2018 John Herr <joherr@redhat.com> 0.5.0-1
- Merged spec file changes
- bumped source from build_hash 8202e966 to build_hash b12ad61
- created patch to re-enable non-docker builds

* Tue Jun 12 2018 John Herr <joherr@redhat.com> 0.5.0-1
- changed install directory to _datadir/name
- changed $RPM_BUILD_DIR to builddir for consistency
- changed install directory for executables to bindir
- removed globals for package_name, version, and release
- added build_hash global to indicate source commit hash
- updated description to include api link to source
- bumped source from build_hash 89ad65c to build_hash 202e966
- set release to 1

* Thu May 10 2018 Steve Reichard - 0.5.0 
- change to use hash for release tag

* Fri May 4 2018 Steve Reichard - 0.5.0 
- kubevirt cdi rpm testing - sreichar
